{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.programs.office;
in {
  options.ptw.programs.office.enable = lib.mkEnableOption "Install and configure office software";

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      libreoffice texlive.combined.scheme-basic
    ];
  };
}
